WordPress.org

Make WordPress Core

Changeset 12743


Ignore:
Timestamp:
01/17/10 07:04:31 (6 years ago)
Author:
dd32
Message:

Correct the Theme update package check. Props Denis-de-Bernardy. Fixes #11908 for trunk

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/wp-admin/themes.php

    r12733 r12743  
    149149        if ( ! current_user_can('update_themes') ) 
    150150            printf( '<p><strong>' . __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%1$s">View version %3$s Details</a>.') . '</strong></p>', $theme_name, $details_url, $update['new_version']); 
    151         else if ( empty($update->package) ) 
     151        else if ( empty($update['package']) ) 
    152152            printf( '<p><strong>' . __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%1$s">View version %3$s Details</a> <em>automatic upgrade unavailable for this theme</em>.') . '</strong></p>', $theme_name, $details_url, $update['new_version']); 
    153153        else 
Note: See TracChangeset for help on using the changeset viewer.